import 'dart:io';

import '../entities/user_check_flags.dart';
import '../entities/user_profile.dart';

abstract class UserProfileRepository {
  Future<UserProfile> getProfile();
  Future<UserProfile?> updateProfile(UserProfile profile);
  Future<int?> uploadProfilePhoto(File imageFile);
  Future<UserCheckFlags?> checkUser();
}

